Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
LockingInfo..::.ReadModifyWrite Field
LockingInfo Class See Also Send Feedback

If true, acquire write locks instead of read locks when doing a read, if locking is configured.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool ReadModifyWrite

Visual Basic (Declaration)
    Public ReadModifyWrite As Boolean

Visual C++
    public:
    bool ReadModifyWrite

# Remarks

Setting ReadModifyWrite can eliminate deadlock during a read-modify-write cycle by acquiring the write lock during the read part of the cycle so that another thread of control acquiring a read lock for the same item, in its own read-modify-write cycle, will not result in deadlock.

# See Also

LockingInfo Class
BerkeleyDB Namespace